Support » Plugin: PickPlugins Product Slider for WooCommerce » Deprecated warning in PHP 7.4

  • I have received many entries in my PHP log file with the following:

    PHP Deprecated: Unparenthesized a ? b : c ? d : e is deprecated. Use either (a ? b : c) ? d : e or a ? b : (c ? d : e) in /home/user/public_html/wp-content/plugins/woocommerce-products-slider/includes/class-metabox-wcps.php on line 151

    I am running PHP 7.4.

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author PickPlugins

    (@pickplugins)

    Thanks for the report issue, I will check and update the plugin if needed.

    Regards

    Hi
    Same issue for me.
    I think it’s causing trouble with ‘Quotes for Woocomemrce’ plugin.
    Thanks

    Plugin Author PickPlugins

    (@pickplugins)

    Thanks for report the issue, could you please try by reinstalling latest fixed version from github and let me know the result.

    https://github.com/pickplugins/woocommerce-products-slider

    i will update on repo later.
    Regards

    It’s the same : Internal Server Error at checkout page
    I’ve enabled the :
    define(‘WP_DEBUG’, true);
    define(‘WP_DEBUG_LOG’, true);

    but there’s still no error message

    I must say: when I try at checkout with a real in stock product it works.
    What does NOT work is if I ask for a quote (with Pinal Shah’s ‘Quotes for Woocommerce’ plugin).
    I already told Pinal about this error yesterday. She’s trying to debug it.

    Patrick

    • This reply was modified 1 year, 1 month ago by antoine69.
    Plugin Author PickPlugins

    (@pickplugins)

    Hi @antoine69, our plugin doesn’t handle checkout process, i guess your issue is different than @scarelse’s issue (this thread)

    If you please provide me some screenshots about your issue then i could suggest you better way.

    Regards

    Hi,
    As I said above, I have an ‘Internal Server Error’ at checkout, no more error messages from plugin or other. I use the last release and even with DEBUG mode set to ON, I don’t see the error messages coming from your plugin when I got the first error.
    So at this stage, I cannot say it come from your plugin but I can’t say it doesn’t come from it too.

    Patrick

    antoine69

    (@antoine69)

    Hi,
    It seems my problem does not come from your plugin.
    I had Woocommerce SendInblue Newsletter plugin https://wordpress.org/plugins/woocommerce-sendinblue-newsletter-subscription/ causing trouble with the last release v1.2.26.
    After having disabled it, my checkout ran OK.

    Cheers

    Patrick

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Deprecated warning in PHP 7.4’ is closed to new replies.